Từ 1 tới 6 trên tổng số 6 kết quả

Đề tài: Bị lỗi đóng gói phần mềm trên visual studio 2010 sử dụng net 4.0

  1. #1
    Ngày gia nhập
    04 2009
    Bài viết
    25

    Mặc định Bị lỗi đóng gói phần mềm trên visual studio 2010 sử dụng net 4.0

    Xin chào mọi người!
    Các bạn cho mình hỏi chút được không ạ
    Mình đang làm phần mềm mà thực hiện trên máy win 7, trên visual 2010, lúc đóng gói mình dùng công cụ của visual luôn.
    Nhưng khi chọn net 3.5 thì build thì bị lỗi, máy báo là không tồn tại net 3.5.
    Mình chọn 4.0 thì build bình thường.
    Nếu 4.0 thì khi cài đặt trên máy XP, 2k3 thì không cài được
    Có ai biết cách khắc phục lỗi này không ạ
    Làm sao để đóng gói mà có thể cài đặt được tất cả phiên bản win từ 2k3 đến win7
    Xin cảm ơn mọi người!

  2. #2
    Ngày gia nhập
    11 2008
    Nơi ở
    An Giang
    Bài viết
    502

    Vậy thì bạn cài gói NET 3.5 xem sao
    Có thể download ở:
    Ref Link Code:

  3. #3
    Ngày gia nhập
    04 2009
    Bài viết
    25

    mà cài net 3.5 nó không cài được,tại vì nó đã tồn tại net 4.0

  4. #4
    Ngày gia nhập
    11 2008
    Bài viết
    218

    Theo mình thì bạn nên đóng gói chương trình riêng (không kèm theo .NET) và để .NET cài riêng vì các máy triển khai có máy cài .NET rồi, có máy chưa cài.

  5. #5
    Ngày gia nhập
    04 2009
    Bài viết
    25

    Mình thấy mấy phần mềm chuyên nghiệp người ta tích hợp sẵn, đa số các phiên bản win đều chạy được.Nếu như mình làm tay thì không hay lắm.
    Mà cái phần mềm của mình chạy thì yêu cầu net 4.0 hết
    Chuyển qua máy Xp thì nó cũng yêu cầu, mà win xp thì chỉ chạy được net 2.0
    Mình có cài net 3.5 và 4.0 để thỏa mãn chương trình cũng như win xp
    Mà cũng không được, nó báo lỗi như thế này

    Không biết bị sao nữa, ai biết chỉ giùm mình
    Cảm ơn các bạn!
    Đã được chỉnh sửa lần cuối bởi tranchien88 : 16-02-2012 lúc 02:13 PM. Lý do: chỉnh ảnh

  6. #6
    Ngày gia nhập
    08 2011
    Nơi ở
    Yên Bái- Hà Nội
    Bài viết
    961

    Mặc định Bị lỗi đóng gói phần mềm trên visual studio 2010 sử dụng net 4.0

    Win xp sp2 bạn ko cài được .net 4 là phải rồi. Chỉ cài được .net 3.5 là max. Còn đóng gói thì bạn xem cái project của bạn ở .net nào? nếu là 4.0 thì chuyển về 2.0 cho nhẹ. Chú ý, việc chuyển đổi này có thể sinh lỗi. Ví dụ: system.linq sẽ ko có ở .net 2. Sau đó chạy lại project xem OK chưa? nếu ok thì tạo bộ cài. (lúc tạo bộ cài muốn mang theo .net, window install, crytall report,.. thì vào properties của cái setup project,... checked)
    Skype: mrfour.it - Yahoo:mrfour_it
    Gmail: mrfour.it@gmail.com
    Bạn muốn học lập trình? Bạn chưa có kiến thức cơ bản? Bạn muốn học từ cơ bản tới nâng cao?... Bạn muốn có source code để tham khảo? Muốn có người hỗ trợ khi học?....http://www.laptrinh123.com sẽ giúp bạn những điều đó!

Các đề tài tương tự

  1. Hướng dẫn đóng gói phần mềm C# bằng Visual Studio 2008 và sql 2005?
    Gửi bởi htlehang trong diễn đàn Thắc mắc lập trình C#
    Trả lời: 11
    Bài viết cuối: 01-02-2014, 11:23 AM
  2. Hướng dẫn đóng gói phần mềm C# bằng Visual Studio 2008
    Gửi bởi GlowWorm trong diễn đàn Tutorials và Thủ thuật lập trình C#, ASP.NET
    Trả lời: 16
    Bài viết cuối: 22-05-2013, 07:50 PM
  3. Lỗi đóng gói VISUAL STUDIO 2008
    Gửi bởi dungbup trong diễn đàn Nhập môn lập trình C#, ASP.NET
    Trả lời: 0
    Bài viết cuối: 29-09-2011, 06:51 PM
  4. Cách đóng gói các ứng dụng trong visual studio 2005?
    Gửi bởi nguyenduy1986 trong diễn đàn Thắc mắc lập trình C/C++/C++0x
    Trả lời: 1
    Bài viết cuối: 23-12-2010, 04:07 AM
  5. Lỗi khi cài Visual Studio 2010 trên máy đã cài Visual Studio 2008
    Gửi bởi yuchi_1k91 trong diễn đàn Thắc mắc chung
    Trả lời: 2
    Bài viết cuối: 16-11-2010, 11:41 AM

Quyền hạn của bạn

  • Bạn không thể gửi đề tài mới
  • Bạn không thể gửi bài trả lời
  • Bạn không thể gửi các đính kèm
  • Bạn không thể chỉnh sửa bài viết của bạn